attach 'db/ComplexGoods.db' as pri;
attach 'db/ComplexGoods.db.s' as sec;
select case (select (select count() from pri.GoodGroups)==(select count() from sec.GoodGroups))
  when 1 then
    (select case (select (select count() from pri.Goods)==(select count() from sec.Goods))
      when 1 then 
	(select case (select count()>0 from pri.Goods)
	  when 1 then
	    (select case (select (select total(Code) from pri.Goods)==(select total(Code) from sec.Goods))
	      when 1 then 
		(select case (select (select total(Price) from pri.Goods)==(select total(Price) from sec.Goods))
		  when 1 then 0
		  else 5 end)
	      else 4 end)
	  else 0 end)
      else 3 end)
  else 2 end;
detach pri;
detach sec;

attach 'db/Reference.db' as pri;
attach 'db/Reference.db.s' as sec;
select case (select (select count() from pri.PayForms)==(select count() from sec.PayForms))
  when 1 then 
    (select case (select (select count() from pri.Properties)==(select count() from sec.Properties))
      when 1 then 
	(select case (select (select count() from pri.Users)==(select count() from sec.Users))
	  when 1 then 
	    (select case (select count()>0 from pri.Users)
	      when 1 then
		(select case (select (select total(Code) from pri.Users)==(select total(Code) from sec.Users))
		  when 1 then 0
		  else 5 end)
	      else 0 end)
	  else 4 end)
      else 3 end)
  else 2 end;
detach pri;
detach sec;

attach 'db/clients.db' as pri;
attach 'db/clients.db.s' as sec;
select case (select (select count() from pri.Clients)==(select count() from sec.Clients))
  when 1 then 
    (select case (select count()>0 from pri.Clients)
      when 1 then 
	(select case (select (select total(Code) from pri.Clients)==(select total(Code) from sec.Clients))
	  when 1 then 
	    (select case (select (select total(Balance+PaySum) from pri.Clients)==(select total(Balance+PaySum) from sec.Clients))
	      when 1 then 0
	      else 4 end)
      else 3 end)
    else 0 end)
  else 2 end;
detach pri;
detach sec;

attach 'db/LatePrices.db' as pri;
attach 'db/LatePrices.db.s' as sec;
select case (select (select count() from pri.LatePrices)==(select count() from sec.LatePrices))
  when 1 then 
    (select case (select count()>0 from pri.LatePrices)
      when 1 then 
	(select case (select (select total(Price) from pri.LatePrices)==(select total(Price) from sec.LatePrices))
	  when 1 then 0
	  else 3 end)
      else 0 end)
  else 2 end;
detach pri;
detach sec;

attach 'db/Settings.db' as pri;
attach 'db/Settings.db.s' as sec;
select case (select (select count() from pri.Settings)==(select count() from sec.Settings))
  when 1 then 
    (select case (select count()>0 from pri.Settings)
      when 1 then 
	(select case (select (select group_concat(Value) from pri.Settings)==(select group_concat(Value) from sec.Settings))
	  when 1 then 0
	  else 3 end)
      else 0 end)
  else 2 end;
detach pri;
detach sec;
